script:
  - id: humidifier_control
    then:
      - lambda: |-
          if (
            !id(humidifier).state && 
            id(bme280_humidity).state < atoi(id(humidity_min).state.c_str()) + atoi(id(humidity_hysteresis).state.c_str())
          ) {
            ESP_LOGI("humidifier", "Humidity Low, enabling Humidifier");
            id(humidifier).turn_on();

          } else if (
            id(humidifier).state && 
            id(bme280_humidity).state >= atoi(id(humidity_max).state.c_str()) - atoi(id(humidity_hysteresis).state.c_str())
          ) {
            ESP_LOGI("humidifier", "Humidity High, disabling Humidifier");
            id(humidifier).turn_off();
          }
